io.milvus.common.resourcegroup

## Class ResourceGroupConfig.Builder

- java.lang.Object
- - io.milvus.common.resourcegroup.ResourceGroupConfig.Builder

Enclosing class:
  ResourceGroupConfig

    public static final class ResourceGroupConfig.Builder
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourceGroupConfig` `build()`
`ResourceGroupConfig.Builder` `withFrom(@NonNull java.util.List<ResourceGroupTransfer> from)` Set the transfer from list.
`ResourceGroupConfig.Builder` `withLimits(@NonNull ResourceGroupLimit limits)` Set the limited node num.
`ResourceGroupConfig.Builder` `withRequests(@NonNull ResourceGroupLimit requests)` Set the requests node num.
`ResourceGroupConfig.Builder` `withTo(@NonNull java.util.List<ResourceGroupTransfer> to)` Set the transfer to list.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withRequests

    public ResourceGroupConfig.Builder withRequests(@NonNull
                                                    @NonNull ResourceGroupLimit requests)

Set the requests node num.

Parameters:
  `requests` - requests node num in resource group, if node num is less than requests.nodeNum, it will be transfer from other resource group.
Returns:
  `Builder`

#### withLimits

    public ResourceGroupConfig.Builder withLimits(@NonNull
                                                  @NonNull ResourceGroupLimit limits)

Set the limited node num.

Parameters:
  `limits` - limited node num in resource group, if node num is more than limits.nodeNum, it will be transfer to other resource group.
Returns:
  `Builder`

#### withFrom

    public ResourceGroupConfig.Builder withFrom(@NonNull
                                                @NonNull java.util.List<ResourceGroupTransfer> from)

Set the transfer from list.

Parameters:
  `from` - missing node should be transfer from given resource group at high priority in repeated list.
Returns:
  `Builder`

#### withTo

    public ResourceGroupConfig.Builder withTo(@NonNull
                                              @NonNull java.util.List<ResourceGroupTransfer> to)

Set the transfer to list.

Parameters:
  `to` - redundant node should be transfer to given resource group at high priority in repeated list.
Returns:
  `Builder`

#### build

    public ResourceGroupConfig build()